## org.ascape.model.engine
Class FilteredRuleSelector

    java.lang.Object
      org.ascape.model.engine.DefaultRuleSelector
          org.ascape.model.engine.FilteredRuleSelector

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, RuleSelector, Selector

Direct Known Subclasses:
  IterateAllRuleSelector, NoIterateAllRuleSelector, PartialRuleSelector, UpdateRuleSelector

    public abstract class FilteredRuleSelector

extends DefaultRuleSelector

The Class FilteredRuleSelector.

See Also:
  Serialized Form

Constructor Summary
`FilteredRuleSelector()` Instantiates a new filtered rule selector.
`FilteredRuleSelector(java.lang.Object[] rules)` Instantiates a new filtered rule selector.

Method Summary
`boolean` `hasMoreRules()` Checks for more rules.
`Rule` `nextRule()` Next rule.
`void` `reset()` Reset.

Methods inherited from class org.ascape.model.engine.DefaultRuleSelector
`clone, getCurrentRule`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredRuleSelector

    public FilteredRuleSelector()

  Instantiates a new filtered rule selector.

### FilteredRuleSelector

    public FilteredRuleSelector(java.lang.Object[] rules)

  Instantiates a new filtered rule selector.

  Parameters:
    `rules` - the rules

Method Detail

### hasMoreRules

    public boolean hasMoreRules()

  Description copied from interface: `RuleSelector`
  Checks for more rules.

  Specified by:
    `hasMoreRules` in interface `RuleSelector`
  Overrides:
    `hasMoreRules` in class `DefaultRuleSelector`
  Returns:
    true, if successful

### nextRule

    public Rule nextRule()

  Description copied from interface: `RuleSelector`
  Next rule.

  Specified by:
    `nextRule` in interface `RuleSelector`
  Overrides:
    `nextRule` in class `DefaultRuleSelector`
  Returns:
    the rule

### reset

    public void reset()

  Description copied from interface: `Selector`
  Reset.

  Specified by:
    `reset` in interface `Selector`
  Overrides:
    `reset` in class `DefaultRuleSelector`